#!/usr/local/bin/ruby
$:.unshift '../lib'
require "web/agent"
require "pp"

agent = Web::Agent.new
agent.setup()
agent.cookiemanager = Web::Agent::CookieManager.new
agent.passwordmanager = Web::Agent::PasswordManager.new


uri = ARGV.shift || 'http://devlog.moonwolf.com/update.cgi'
agent.get(uri)
p agent
agent.passwordmanager.set(agent,'moonwolf','kuroneko')
agent.get(uri)
p agent

